On this page, you will find information about MatterLinux package mirrors.

# Using different mirrors
To use a mirror with `mp`, change the pool URL for the target pool in your `mp`
configuration file (`/etc/mp/cfg`). 

### Creating a mirror
To create a mirror you can use the `matter-mirror` tool. This tool is a part of the [MatterLinux `tools`
project](https://git.matterlinux.xyz/matter/tools). These tools can be installed with the `tools`
package in the desktop pool.

After installing `matter-mirror`, specify an URL and an output directory (files will be downloaded
into the output directory). For example to mirror the `base` pool from  `https://pkgs.matterlinux.xyz/base`
to `base_mirror` directory:
```
$ mkdir base_mirror
$ matter-mirror -u https://pkgs.matterlinux.xyz/base -o base_mirror 
```

To serve the mirror, you can setup [`pooler`](https://git.matterlinux.xyz/matter/pooler).
To learn more about `pooler`, see the [wiki page for pools](/wikş/pools.md). 

You will mostly likely want to update your mirror every once in a while. To do so you can 
create a cron job. For example to update your mirror every day at 00:00, you can add the
following entry to your `/etc/crontab`:
```
0 0     * * *   <user>    matter-mirror -u <url> -o <output dir path> 
```

# Mirror lists 
This section contains information about different MatterLinux pools and mirros 
that you can use. To add your mirror to this list get in contact with the maintainer/developers.

> **Note**
>
> Official mirrors are **ALWAYS** signed with the `F9E70878C2FB389AEC2BA34CA3654DF5AD9F641D`
> fingerprint (belongs to the maintainer, ngn). If syncing with a mirror tells you otherwise, then
> **DO NOT USE THAT MIRROR** and report it to the maintainer/developers in order to remove it 
> from the list.

### Official pools 
| Pool    | MPTP                                   | HTTP(S)                                   | Location    |
| ------- | -------------------------------------- | ----------------------------------------- | ----------- |
| base    | `mptp://pkgs.matterlinux.xyz/base`     | `https://pkgs.matterlinux.xyz/base`       | 🇹🇷 Turkey |
| desktop | `mptp://pkgs.matterlinux.xyz/desktop`  | `https://pkgs.matterlinux.xyz/desktop`    | 🇹🇷 Turkey |
| base    | `mptp://next.matterlinux.xyz/base`     | `https://next.matterlinux.xyz/base`       | 🇹🇷 Turkey |
| desktop | `mptp://next.matterlinux.xyz/desktop`  | `https://next.matterlinux.xyz/desktop`    | 🇹🇷 Turkey |

### Mirrors
Currently there are no available mirrors.
